Update a trusted entity
curl --request PUT \
--url https://test.didxtech.com/me-creds/api/trusted-entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Trusted Issuer",
"dids": [
{
"did": "did:web:example.com",
"name": "Main DID"
}
],
"certificates": []
}
'import requests
url = "https://test.didxtech.com/me-creds/api/trusted-entities/{id}"
payload = {
"name": "Updated Trusted Issuer",
"dids": [
{
"did": "did:web:example.com",
"name": "Main DID"
}
],
"certificates": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Trusted Issuer',
dids: [{did: 'did:web:example.com', name: 'Main DID'}],
certificates: []
})
};
fetch('https://test.didxtech.com/me-creds/api/trusted-entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"name": "Trusted Government Issuer",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"dids": [
{
"did": "did:web:example.com",
"name": "Main DID"
}
],
"certificates": []
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Trusted Entities API
Update a trusted entity
deprecated
PUT
/
trusted-entities
/
{id}
Update a trusted entity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Trusted entity updated
Show child attributes
Show child attributes
Example:
{
"id": "cm7d9cq5600pwk3zq3kmpg8uc",
"name": "Trusted Government Issuer",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"dids": [
{
"did": "did:web:example.com",
"name": "Main DID"
}
],
"certificates": []
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

